com.jscape.inet.scp.events

## Class ScpTransferProgressEvent

- java.lang.Object
- - com.jscape.inet.scp.events.ScpEvent
  - - com.jscape.inet.scp.events.ScpTransferProgressEvent

-     public class ScpTransferProgressEvent
      extends ScpEvent

  SCP transfer progress event.
  Author:
    Alex Usun

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DOWNLOAD` Indicates DOWNLOAD process
    `static int` | `UPLOAD` Indicates UPLOAD process

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ScpTransferProgressEvent(Scp source, java.lang.String filename, long transferred, long size, int mode)` Creates a new event instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(ScpEventListener listener)` Accepts listener for backwards dispatching.
    `java.lang.String` | `getFilename()` Returns file name.
    `int` | `getMode()` Returns transfer mode.
    `long` | `getSize()` Returns file size in bytes.
    `long` | `getTransferredBytes()` Returns transferred bytes count.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.scp.events.ScpEvent

      `getSource`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### UPLOAD

          public static final int UPLOAD

      Indicates UPLOAD process
      See Also:
        Constant Field Values

    - #### DOWNLOAD

          public static final int DOWNLOAD

      Indicates DOWNLOAD process
      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### ScpTransferProgressEvent

          public ScpTransferProgressEvent(Scp source,
                                          java.lang.String filename,
                                          long transferred,
                                          long size,
                                          int mode)

      Creates a new event instance.
      Parameters:
        `source` - source
        `filename` - filename
        `transferred` - transferred bytes count
        `size` - total size in bytes
        `mode` - transfer mode

  - ### Method Detail

    - #### getFilename

          public java.lang.String getFilename()

      Returns file name.
      Returns:
        file name

    - #### getTransferredBytes

          public long getTransferredBytes()

      Returns transferred bytes count.
      Returns:
        transferred bytes count

    - #### getSize

          public long getSize()

      Returns file size in bytes.
      Returns:
        file size in bytes

    - #### getMode

          public int getMode()

      Returns transfer mode.
      Returns:
        transfer mode

    - #### accept

          public void accept(ScpEventListener listener)

      Description copied from class: `ScpEvent`
      Accepts listener for backwards dispatching.
      Specified by:
        `accept` in class `ScpEvent`
      Parameters:
        `listener` - event listener
      See Also:
        `ScpEvent.accept(ScpEventListener)`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `ScpEvent`

Copyright © JSCAPE LLC. 1999-2021. All Rights Reserved